import { AuthForm } from './Components/AuthForm';
import { Dashboard } from './Components/Dashboard';
import { Routes, Route } from 'react-router-dom';
import { PrivateRoute } from './Components/PrivateRoute';
import { AppProvider } from './Contexts/AppContext';

function App() {
  return (
    <Routes>
      <Route
        path="/"
        element={
          <PrivateRoute>
            <AppProvider>
              <Dashboard />
            </AppProvider>
          </PrivateRoute>
        }
      />
      <Route path="/auth" element={<AuthForm />} />
    </Routes>
  );
}

export default App;
